package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPINFO_WS_TIME_PARTS {
    public @Getter @Builder.Default String AAA = StringUtils.repeat(' ', 1);
    public @Getter int WS_HRS;
    public @Getter int WS_MIN;
    public @Getter @Builder.Default String BBB = StringUtils.repeat(' ', 2);

    @Override
    public String toString() {
        return getAAA() + String.valueOf(getWS_HRS())
                + String.valueOf(getWS_MIN()) + getBBB();
    }
}
